de.esprit.netsuite.netdata

## Class NetResponse

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.NetResponse

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class NetResponse
      extends TransferableObject

  This object is returned to the client as a response to a NetRequest.
  Author:
    Rainer Buesch
  See Also:
    `NetRequest`, Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AgentWatchDogTask` | `getAgentTask()`
    `NetCommand` | `getCommand()`
    `java.lang.Exception` | `getError()`
    `long` | `getRequestId()`
    `java.lang.Object` | `getResult()`
    `boolean` | `hasError()`
    `boolean` | `needsConfirmation()`
    `void` | `setAgentTask(AgentWatchDogTask agentTask)`
    `NetResponse` | `setError(java.lang.Exception e)`
    `NetResponse` | `setResult(java.lang.Object data)` Sets the result argument.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setAgentTask

          public void setAgentTask(AgentWatchDogTask agentTask)

    - #### getAgentTask

          public AgentWatchDogTask getAgentTask()

    - #### setResult

          public NetResponse setResult(java.lang.Object data)

      Sets the result argument.

    - #### needsConfirmation

          public boolean needsConfirmation()

    - #### getCommand

          public NetCommand getCommand()

    - #### getResult

          public java.lang.Object getResult()

    - #### getRequestId

          public long getRequestId()

    - #### hasError

          public boolean hasError()

    - #### getError

          public java.lang.Exception getError()

    - #### setError

          public NetResponse setError(java.lang.Exception e)

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.